MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025475Open CASCADE[OCCT] OCCT:Visualizationpublic2014-11-13 09:072015-08-25 15:37
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025475: Visualization, TKOpenGl - draw background using primitive arrays
DescriptionCurrent implementation of OpenGl_View::DrawBackground() uses deprecated functionality and should be re-written using OpenGl_PrimitiveArray.
Steps To ReproduceTest case name: /bugs/vis/bug25475
TagsNo tags attached.
Test case numberbugs vis(004) bug25475
Attached Files

- Relationships
parent of 0025804closedbugmaster Visualization, TKOpenGl - specify correct primitives type in OpenGl_BackgroundArray 
related to 0026599closedski Visualization, TKOpenGl - gradient background should reset model transformation in Core profile 
child of 0023484closedbugmaster Visualization, TKOpenGl - primitive arrays to become the only way to render geometry 
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0034606)
git (administrator)
2014-11-21 18:49

Branch CR25475 has been created by aba.

SHA-1: 701e02fa1796a37383b89ac26cc16533899fef3a


Detailed log of new commits:

Author: aba
Date: Fri Nov 21 18:46:01 2014 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays
(0034608)
aba (developer)
2014-11-21 18:52

Dear kgv,

please review the git branch CR25475.
(0034612)
kgv (developer)
2014-11-21 19:02

+      OpenGl_PrimitiveArray* aTriangleArray = new OpenGl_PrimitiveArray (NULL, Graphic3d_TOPA_TRIANGLES,

+                                                                         anIndices, anAttribs, NULL);


please make array as field of OpenGl_View, and eliminate graphic3d_buffer re-creations - it can be re-used.
(0034621)
git (administrator)
2014-11-23 15:09

Branch CR25475 has been updated by kgv.

SHA-1: 13f18817f2baae320a1dcec87e3eeb1322aa5543


Detailed log of new commits:

Author: kgv
Date: Sun Nov 23 15:08:00 2014 +0300

    avoid memory leak

(0034622)
git (administrator)
2014-11-23 15:12

Branch CR25475 has been updated forcibly by kgv.

SHA-1: ecf6e4facc91f81487478eda34c661d1041f6c19
(0034626)
git (administrator)
2014-11-24 08:44

Branch CR25475_1 has been created by kgv.

SHA-1: 84781c0249a49e34be47eb4a590defb46e2498ee


Detailed log of new commits:

Author: aba
Date: Mon Nov 24 08:44:17 2014 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays
(0034627)
git (administrator)
2014-11-24 08:57

Branch CR25475_1 has been updated forcibly by kgv.

SHA-1: eb2d4a00da9fa2c66a5befceff4f7c206437402c
(0035293)
git (administrator)
2014-12-11 09:02

Branch CR25475_1 has been updated by kgv.

SHA-1: 85358dc1575b026707e98d66fcf9bd3c8ba47188


Detailed log of new commits:

Author: kgv
Date: Tue Dec 9 18:55:17 2014 +0400

    OpenGl_View::DrawBackground() - create GLushort index buffer

(0035294)
git (administrator)
2014-12-11 09:04

Branch CR25475_2 has been created by kgv.

SHA-1: 892c9c56ac9bc39f2c4142eaccf2256bb1e4ee75


Detailed log of new commits:

Author: aba
Date: Thu Dec 11 09:03:48 2014 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays
(0036066)
git (administrator)
2015-01-14 18:21

Branch CR25475_1 has been updated by aba.

SHA-1: e59ebb50f08a6bf20867c41e83b7e6d6e7a9b20b


Detailed log of new commits:

Author: aba
Date: Wed Jan 14 16:50:55 2015 +0300

    Moved background arrays to separate classes

(0036136)
git (administrator)
2015-01-16 12:19

Branch CR25475_1 has been updated forcibly by aba.

SHA-1: 8900c97f303fc0bdac9fcbddacf6d760ee2c2745
(0036171)
git (administrator)
2015-01-16 19:50

Branch CR25475_1 has been updated by aba.

SHA-1: a718f528aa52d9c8fe3677829e3ac53b0edd74af


Detailed log of new commits:

Author: aba
Date: Fri Jan 16 19:50:22 2015 +0300

    create one background array class for texture and gradient

(0036372)
git (administrator)
2015-01-22 12:20

Branch CR25475_1 has been updated forcibly by aba.

SHA-1: 9558de7e8e8d16c885956ef980cb10ff77550fbd
(0036374)
git (administrator)
2015-01-22 12:28

Branch CR25475_1 has been updated forcibly by aba.

SHA-1: c5aa1808b455f804b66d169561af90f60461a1e3
(0036391)
git (administrator)
2015-01-22 13:58

Branch CR25475_1 has been updated forcibly by aba.

SHA-1: b6fe741cff5aeceddca6610910a726a6456dd173
(0036761)
git (administrator)
2015-01-28 15:14

Branch CR25475_1 has been updated forcibly by aba.

SHA-1: 51d22da1508d497ebddb5d33de4a7523386265c3
(0036764)
git (administrator)
2015-01-28 15:43

Branch CR25475_3 has been created by aba.

SHA-1: 5d4e62a08d1f37879f0417093ac4947e7035cb04


Detailed log of new commits:

Author: aba
Date: Wed Jan 28 15:24:38 2015 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays:
    - moved background arrays to separate class for texture and gradient arrays
(0036765)
git (administrator)
2015-01-28 15:46

Branch CR25475_3 has been updated forcibly by aba.

SHA-1: f4ef92c8908f3a7c5f1f776d49f948830f312144
(0036797)
git (administrator)
2015-01-29 11:00

Branch CR25475_3 has been updated by aba.

SHA-1: 9d327d3bb9bb1511acbb86e917ebe0a4a7939658


Detailed log of new commits:

Author: aba
Date: Thu Jan 29 11:00:25 2015 +0300

    Remarks

(0036904)
git (administrator)
2015-01-30 15:44

Branch CR25475_3 has been updated forcibly by aba.

SHA-1: 645013768f7dbdf2f7a6f29a04055dc15fd78dba
(0036905)
aba (developer)
2015-01-30 15:46

Dear kgv,

please review the Git branch CR25475_3.
(0036922)
git (administrator)
2015-01-30 17:15

Branch CR25475_3 has been updated by kgv.

SHA-1: 24e4edae0946ab34d3efd513847af129b80612b1


Detailed log of new commits:

Author: kgv
Date: Fri Jan 30 17:15:40 2015 +0300

    cosmetics

(0036924)
git (administrator)
2015-01-30 17:16

Branch CR25475_3 has been updated by kgv.

SHA-1: 05c6d5ef4e48e6062b69719a55c9e206f7d95c9a


Detailed log of new commits:

Author: kgv
Date: Fri Jan 30 17:16:24 2015 +0300

    correct test case

(0036927)
git (administrator)
2015-01-30 17:20

Branch CR25475_4 has been created by kgv.

SHA-1: b44d60ea35f7bf536ec3aa2bcd7312d1987eae71


Detailed log of new commits:

Author: aba
Date: Fri Jan 30 17:20:12 2015 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays
    
    Move background arrays to separate class OpenGl_BackgroundArray
    for texture and gradient arrays.
(0036928)
kgv (developer)
2015-01-30 17:21

Please test patch in branch CR25475_4.
(0037009)
mkv (tester)
2015-02-03 13:03

Dear BugMaster,
Branch CR25475_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b44d60ea35f7bf536ec3aa2bcd7312d1987eae71

Number of compiler warnings:

occt component :
Linux: 24 (18 on master)
Windows: 0 (0 on master)

There are new additional compilation warnings on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/mnt-CR25475_4-master_build_occt_linux/1/warnings17Result/package.-133837126/ [^]
OpenGl_BackgroundArray.cxx:26, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here
OpenGl_View.cxx:53, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/mnt-CR25475_4-master_build_occt_linux/1/warnings17Result/package.-671474530/ [^]
OpenGl_BackgroundArray.hxx:101, GNU C Compiler 4 (gcc), Priority: Normal
‘Graphic3d_TypeOfBackground OpenGl_BackgroundArray::myType’

OpenGl_BackgroundArray.hxx:104, GNU C Compiler 4 (gcc), Priority: Normal
‘OpenGl_BackgroundArray::myFillMethod’ will be initialized after

OpenGl_View.hxx:290, GNU C Compiler 4 (gcc), Priority: Normal
‘OpenGl_AspectFace* OpenGl_View::myTextureParams’

OpenGl_View.hxx:292, GNU C Compiler 4 (gcc), Priority: Normal
‘OpenGl_View::myBgTextureArray’ will be initialized after

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25475-4-master-occt/Debian60-64/bugs/vis/bug25475.html [^]
http://occt-tests/CR25475-4-master-occt/Windows-32-VC10/bugs/vis/bug25475.html [^]
bugs vis(004) bug25475: OK

Testing on Linux:
occt component :
Total MEMORY difference: 369887944 / 370076844
Total CPU difference: 53390.50999999995 / 49863.81000000002
products component :
Total MEMORY difference: 110931024 / 110877292
Total CPU difference: 16204.519999999991 / 15924.139999999974

Testing on Windows:
occt component :
Total MEMORY difference: 275859392 / 276284192
Total CPU difference: 35454.09375 / 36894.109375
products component :
Total MEMORY difference: 72352720 / 71401072
Total CPU difference: 10443.25 / 11731.96875

There are no differences in images found by testdiff.
(0037016)
git (administrator)
2015-02-03 13:44

Branch CR25475_4 has been updated by aba.

SHA-1: 51e458c527c910ee63285f9a1e084a696cc52b84


Detailed log of new commits:

Author: aba
Date: Tue Feb 3 13:44:40 2015 +0300

    Eliminated warnings on Linux

(0037017)
aba (developer)
2015-02-03 13:48

Warnings on Linux were eliminated.

Dear mkv,

please test CR25475_4.
(0037018)
kgv (developer)
2015-02-03 13:57

Dear mkv, please just check warnings (compilation) - no need to perform regression testing anew.
(0037041)
mkv (tester)
2015-02-04 09:56

Dear BugMaster,
Branch CR25475_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 51e458c527c910ee63285f9a1e084a696cc52b84

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)
(0037199)
solomin_s (updater)
2015-02-06 23:03

Hello, I've tried these changes (Branch CR25475_4) with OpenGL ES on Android. It's don't work with usage:
myView->SetBgGradientColors (myTopBackgroundColor, myBottomBackgroundColor,
                Aspect_GFM_VER, Standard_False);

I've debugged OpenGl_BackgroundArray class and found that myIndices is empty. Adding initializing code solve my problem. Review changes again please.
(0037200)
kgv (developer)
2015-02-06 23:52

>> I've debugged OpenGl_BackgroundArray class and found that myIndices is empty
It is empty for a purpose - the vertices in this primitive array are sorted in natural order and do not require dedicated indices buffer.
(0037201)
solomin_s (updater)
2015-02-07 14:06

You're right. But I don't see vertical gradient on Android. Moreover, sometimes when use gradient background I've seen:
VBO creation for Primitive Array has failed for xx indices. Out of memory?
in log when showing AIS objects.
(0037480)
git (administrator)
2015-02-13 10:28

Branch CR25475_1 has been deleted by kgv.

SHA-1: 51d22da1508d497ebddb5d33de4a7523386265c3
(0037481)
git (administrator)
2015-02-13 10:28

Branch CR25475_3 has been deleted by kgv.

SHA-1: 05c6d5ef4e48e6062b69719a55c9e206f7d95c9a
(0037482)
git (administrator)
2015-02-13 10:28

Branch CR25475_4 has been deleted by kgv.

SHA-1: 51e458c527c910ee63285f9a1e084a696cc52b84
(0037489)
git (administrator)
2015-02-13 10:30

Branch CR25475 has been deleted by kgv.

SHA-1: ecf6e4facc91f81487478eda34c661d1041f6c19
(0037490)
git (administrator)
2015-02-13 10:30

Branch CR25475_2 has been deleted by kgv.

SHA-1: 892c9c56ac9bc39f2c4142eaccf2256bb1e4ee75

- Related Changesets
occt: master 0b0320e7
Timestamp: 2015-02-05 11:48:39
Author: aba
Committer: bugmaster
Details ] Diff ]
0025475: Visualization, TKOpenGl - draw background using primitive arrays

Move background arrays to separate class OpenGl_BackgroundArray
for texture and gradient arrays.

Eliminated warnings on Linux
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
add - src/OpenGl/OpenGl_BackgroundArray.cxx Diff ] File ]
add - src/OpenGl/OpenGl_BackgroundArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]
add - tests/bugs/vis/bug25475 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-13 09:07 kgv New Issue
2014-11-13 09:07 kgv Assigned To => kgv
2014-11-13 09:07 kgv Assigned To kgv => aba
2014-11-13 09:08 kgv Status new => assigned
2014-11-13 09:08 kgv Relationship added child of 0023484
2014-11-13 09:09 kgv Relationship added child of 0025146
2014-11-21 18:49 git Note Added: 0034606
2014-11-21 18:52 aba Note Added: 0034608
2014-11-21 18:52 aba Assigned To aba => kgv
2014-11-21 18:52 aba Status assigned => resolved
2014-11-21 19:01 kgv Assigned To kgv => aba
2014-11-21 19:01 kgv Status resolved => assigned
2014-11-21 19:02 kgv Note Added: 0034612
2014-11-23 15:09 git Note Added: 0034621
2014-11-23 15:12 git Note Added: 0034622
2014-11-24 08:44 git Note Added: 0034626
2014-11-24 08:57 git Note Added: 0034627
2014-12-11 09:02 git Note Added: 0035293
2014-12-11 09:04 git Note Added: 0035294
2015-01-14 18:21 git Note Added: 0036066
2015-01-16 12:19 git Note Added: 0036136
2015-01-16 19:50 git Note Added: 0036171
2015-01-22 12:20 git Note Added: 0036372
2015-01-22 12:28 git Note Added: 0036374
2015-01-22 13:58 git Note Added: 0036391
2015-01-28 15:14 git Note Added: 0036761
2015-01-28 15:43 git Note Added: 0036764
2015-01-28 15:46 git Note Added: 0036765
2015-01-29 11:00 git Note Added: 0036797
2015-01-30 15:44 git Note Added: 0036904
2015-01-30 15:46 aba Note Added: 0036905
2015-01-30 15:46 aba Assigned To aba => kgv
2015-01-30 15:46 aba Status assigned => resolved
2015-01-30 15:46 aba Steps to Reproduce Updated View Revisions
2015-01-30 17:15 git Note Added: 0036922
2015-01-30 17:16 git Note Added: 0036924
2015-01-30 17:20 git Note Added: 0036927
2015-01-30 17:21 kgv Note Added: 0036928
2015-01-30 17:21 kgv Assigned To kgv => bugmaster
2015-01-30 17:21 kgv Status resolved => reviewed
2015-01-30 17:21 kgv Target Version 7.1.0 => 6.9.0
2015-02-02 18:59 mkv Assigned To bugmaster => mkv
2015-02-03 13:03 mkv Note Added: 0037009
2015-02-03 13:05 mkv Test case number => bugs vis(004) bug25475
2015-02-03 13:05 mkv Assigned To mkv => aba
2015-02-03 13:05 mkv Status reviewed => assigned
2015-02-03 13:44 git Note Added: 0037016
2015-02-03 13:46 aba Status assigned => resolved
2015-02-03 13:48 aba Note Added: 0037017
2015-02-03 13:48 aba Assigned To aba => mkv
2015-02-03 13:48 aba Status resolved => reviewed
2015-02-03 13:57 kgv Note Added: 0037018
2015-02-04 09:56 mkv Note Added: 0037041
2015-02-04 09:56 mkv Assigned To mkv => bugmaster
2015-02-04 09:56 mkv Status reviewed => tested
2015-02-06 15:38 bugmaster Changeset attached => occt master 0b0320e7
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-06 23:03 solomin_s Note Added: 0037199
2015-02-06 23:52 kgv Note Added: 0037200
2015-02-07 14:06 solomin_s Note Added: 0037201
2015-02-09 10:20 kgv Relationship added parent of 0025804
2015-02-13 10:28 git Note Added: 0037480
2015-02-13 10:28 git Note Added: 0037481
2015-02-13 10:28 git Note Added: 0037482
2015-02-13 10:30 git Note Added: 0037489
2015-02-13 10:30 git Note Added: 0037490
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0
2015-08-25 15:37 kgv Relationship added related to 0026599


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker